de.esprit.appsuite.nio.watcher

## Class BranchPathFilter

- java.lang.Object
- - de.esprit.appsuite.nio.watcher.BranchPathFilter

- All Implemented Interfaces:
    PathFilter, Clearable, java.io.Serializable, java.nio.file.DirectoryStream.Filter<java.nio.file.Path>

      public class BranchPathFilter
      extends java.lang.Object
      implements PathFilter, Clearable

  This class ...
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BranchPathFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.nio.file.Path entry)`
    `void` | `clear()` Clears the content
    `PathFilter` | `getCustomFilter()`
    `PathFilter` | `getPermissionFilter()`
    `void` | `setCustomFilter(PathFilter filter)`
    `void` | `setPermissionFilter(PathFilter filter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BranchPathFilter

          public BranchPathFilter()

  - ### Method Detail

    - #### accept

          public boolean accept(java.nio.file.Path entry)
                         throws java.io.IOException

      Specified by:
        `accept` in interface `PathFilter`
      Specified by:
        `accept` in interface `java.nio.file.DirectoryStream.Filter<java.nio.file.Path>`
      Throws:
        `java.io.IOException`

    - #### clear

          public void clear()

      Description copied from interface: `Clearable`
      Clears the content
      Specified by:
        `clear` in interface `Clearable`

    - #### setPermissionFilter

          public void setPermissionFilter(PathFilter filter)

    - #### setCustomFilter

          public void setCustomFilter(PathFilter filter)

    - #### getCustomFilter

          public PathFilter getCustomFilter()

    - #### getPermissionFilter

          public PathFilter getPermissionFilter()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.